JWT is a way for a bank to authorize an operation via call-back
Process flow for request authorization
JWT is sent at step 3 via a call-back URL. In case a response fails, the operation is declined.
The system supports 2 ways of JWT creation. Both approaches can be used simultaneously.
β¬οΈDescription
β Advantage
π€Drawback
DCM generates a JWT.
Bank validates it against a DCM public key
No efforts to implement:
a key storage
a function to generate a JWT
DCM is capable to manually confirm requests to Identifiers.
Access rules for employees are controlled by DCM.
The private key belongs to DCM
A csrf_token must be obtained with login-password flow
Header Authorization must contain an actual csrf_token.
β¬οΈDescription
β Advantage
π€Drawback
Bank generates
a JWT
The private key belongs to Bank
No need to authenticate with login-password
Efforts to implement
a key storage
a function to generate a JWT
access rules for employees
only auto-confirmation is available to Identifiers
JWT accompanies all the API requests in header CX-Authorization.
Header Authorization must be empty.
JWT by Bank
At step 2 Bank generates JWT, that is used at step 5 in header CX-Authorization when Bank Employee makes an operation (e.g. creates a new customer). At step 6 DCM validates the JWT. The same does the bank at step 8.
Steps 3-4 are optional and can be used to check if the JWT is valid.
Register JWK by bank
To jump-start the flow when JWT by bank is used, please register at least one JWK key in our authentication service for your counterparty.
Create jwk
post
Create jwk
Path parameters
counterparty_guidstringRequired
Counterparty GUID
Body
Responses
200
OK
application/json
guidstringOptional
400
json with error msg
application/json
post
/counterparty/{counterparty_guid}/jwk
Request example
Get list of registered keys for bank JWT
When a JWK is registered, you may check if it exists in our register storage.
Get jwks
get
Get jwks
Path parameters
counterparty_guidstringRequired
Counterparty GUID
Responses
200
OK
application/json
400
json with error msg
application/json
get
/counterparty/{counterparty_guid}/jwk
Check Bank JWT
This feature allows you to check your JWT in our authentication service with no changes to any objects and processes.